Bug 281591 - (Pirut_crash_1) pirut crashes when adding many files
pirut crashes when adding many files
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-06 18:27 EDT by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 17:12:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-09-06 18:27:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20070718 Fedora/ Firefox/

Description of problem:
I did a new install of F7 with a minimum number of packages (because so many need updating anyway).  I used pirut to try to add all of the packages that I thought I'd need.  It crashed, but I don't recall whether it was when I pressed "Apply" or when I approved the additional packages needed.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.See description

Actual Results:

Expected Results:
Pirut should have completed normally.

Additional info:
I was successful in using pirut to add the files I needed by adding the files from one (left pane) menu at a time.
Comment 1 Need Real Name 2007-09-06 18:31:00 EDT
Component: pirut
Summary: TB6ea86385 sqlitesack.py:794:excludeArchs:AttributeError: 'NoneType'
object has no attribute 'cursor'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 441, in <module>
  File "/usr/sbin/pirut", line 434, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 61, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in __init__
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 517, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 382, in _getSacks
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 336, in
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 794, in
    cur = cache.cursor()
AttributeError: 'NoneType' object has no attribute 'cursor'

Local variables in innermost frame:
arch_query: ('x86_64','athlon','i686','i586','i486','i386','noarch')
archlist: ["'x86_64'", "'athlon'", "'i686'", "'i586'", "'i486'", "'i386'",
rep: fedora
cache: None
self: <yum.sqlitesack.YumSqlitePackageSack object at 0xfbc750>
Comment 2 Jeremy Katz 2007-09-07 10:58:15 EDT
What versions of yum and pirut was this with?
Comment 3 Need Real Name 2007-09-07 15:25:48 EDT
Comment 4 Jeremy Katz 2007-09-11 17:12:23 EDT
This is fixed in CVS and will be in the update that will be getting pushed for
Fedora 7 within the next week or two.

Note You need to log in before you can comment on or make changes to this bug.